For the complete documentation index, see llms.txt. This page is also available as Markdown.

Document validation Status V2

Check the status of the morphological validation operation. This Endpoint must be called repeatedly until the analysis operation has been completed. See Process Status as a reference for the different status values.

Endpoint

POST /verify/documentValidation/v2/status

Headers

Name
Type
Required
Description

x-api-key

string

Yes

Access authorization API key.

family

string

No

Value: Onboarding. Required with the tracking service.

All calls to the Endpoints for Tracking with Identity Platform must contain the header family.

Request body

Content-Type: application/json

Parameters

Parameter
Type
Required
Description

scanReference

string

Yes

Reference number for the scan.

type

string

No

⚠️ Value deprecated. It will be removed in future versions.

tracking

object

No

Object that represents the necessary tracking information.

tracking.extraData

string

No

Token generated by the Mobile/Web SDK. Contains tokenized tracking information with the Platform.

tracking.operationId

string

No

Operation identifier generated by the Mobile/Web SDK.

Request example

Responses

200 Success

Response parameters

Parameter
Type
Description

timestamp

string

Response timestamp (UTC) in the format ISO 8601.

scanReference

string

Reference number for the scan.

status

string

Operation status. Possible values: PENDING, DONE, FAILED. See Process Status.

Process Status

The status Endpoint returns one of the following values to indicate the current status of the validation process:

Status
Description

PENDING

Analysis in progress. It is recommended to check every 5 seconds until it is complete.

DONE

Validation completed successfully. Run the Document Validation Data V2 service to obtain the analysis results.

FAILED

The validation process encountered an error and could not be completed.

Response example

400 Bad Request

401 Unauthorized

403 Forbidden

502 Bad Gateway

504 Gateway Timeout

Last updated